# Class CIM_PolicySetInRoleCollection
extends CIM_MemberOfCollection

PolicySetInRoleCollection aggregates zero or more PolicyRules and PolicyGroups (i.e., the subclasses of PolicySet) into a PolicyRoleCollection object, representing a role supported/enforced by the PolicySet.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_MemberOfCollection
|
+--CIM_PolicySetInRoleCollection

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Aggregation | boolean | true
Association | boolean | true
Description | string | PolicySetInRoleCollection aggregates zero or more PolicyRules and PolicyGroups (i.e., the subclasses of PolicySet) into a PolicyRoleCollection object, representing a role supported/enforced by the PolicySet.
UMLPackagePath | string | CIM::Policy
Version | string | 2.8.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Collection | CIM_PolicySetInRoleCollection | CIM_PolicyRoleCollection
Member | CIM_PolicySetInRoleCollection | CIM_PolicySet

## Class Methods